Package org.apache.sling.launchpad.base.shared

# Interface SharedConstants

public interface SharedConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_SLING_LAUNCHER_JAR`
The absolute path to the launcher JAR file in the archive to copy to the sling.home directory.
`static final String`
`DEFAULT_SLING_LISTENER`
The fully qualified name of the implementation of the Servlet API ServletContextListener, HttpSessionListener, and HttpSessionAttributeListener interfaces to which the respective events are forwarded.
`static final String`
`DEFAULT_SLING_MAIN`
The fully qualified name of the class used by the Standalone Java Application main class to control the framework.
`static final String`
`DEFAULT_SLING_SERVLET`
The fully qualified name of the class used by the Sling Web Applicaiton servlet to control the framework.
`static final String`
`DISABLE_PACKAGE_BUNDLE_LOADING`
True or false value which controls whether sling will load bundles which are contained in the resources/# path locations in the sling jar or war.
`static final String`
`FORCE_PACKAGE_BUNDLE_LOADING`
True or false value which controls whether sling will load bundles which are contained in the resources/# path locations in the sling jar or war regardless of the modification time of the Launchpad JAR.
`static final String`
`LAUNCHER_JAR_REL_PATH`
The name of the file providing the Launcher JAR.
`static final String`
`SLING_HOME`
The name of the configuration property defining the Sling home directory (value is "sling.home").
`static final String`
`SLING_HOME_DEFAULT`
Default `sling.home` value if no other value can be resolvled (value is "sling").
`static final String`
`SLING_INSTALL_INCREMENTAL_START`
The name of the configuration property defining if the startup level is increased incrementally for installs and startups.
`static final String`
`SLING_INSTALL_STARTLEVEL`
The name of the configuration property defining the startlevel for installs and updates.
`static final String`
`SLING_INSTALL_TARGETSTARTLEVEL`
The name of the configuration property defining the target startlevel The framework starts with the startlevel of "sling.framework.install.startlevel" and the stops when it reaches this level Default value is the value of the osgi initial framework start level
`static final String`
`SLING_LAUNCHPAD`
The name of the configuration property defining the location for the Sling launchpad JAR file and the startup folder containing bundles to be installed by the Bootstrap Installer (value is "sling.launchpad").
`static final String`
`SLING_PROPERTIES`
The name of the configuration property defining the Sling properties file (value is "sling.properties").
`static final String`
`SLING_PROPERTIES_URL`
The name of the configuration property defining the Sling properties url (value is "sling.properties.url").

## Field Details

### SLING_HOME

static final String SLING_HOME
The name of the configuration property defining the Sling home directory (value is "sling.home"). This is a Platform file system directory below which all runtime data, such as the Felix bundle archives, logfiles, Jackrabbit repository, etc., is located.

The value of this property is derived in a launcher specific way, such as system property, command line option, servlet or servlet context init-param, servlet context path, etc.

See Also:
  - Constant Field Values

### SLING_HOME_DEFAULT

static final String SLING_HOME_DEFAULT
Default `sling.home` value if no other value can be resolvled (value is "sling").

See Also:
  - Constant Field Values

### DEFAULT_SLING_MAIN

static final String DEFAULT_SLING_MAIN
The fully qualified name of the class used by the Standalone Java Application main class to control the framework. This class implements the `Launcher` interface.

See Also:
  - Constant Field Values

### DEFAULT_SLING_SERVLET

static final String DEFAULT_SLING_SERVLET
The fully qualified name of the class used by the Sling Web Applicaiton servlet to control the framework. This class implements the `jakarta.servlet.Servlet` and `Launcher` (for setup only) interfaces.

See Also:
  - Constant Field Values

### DEFAULT_SLING_LISTENER

static final String DEFAULT_SLING_LISTENER
The fully qualified name of the implementation of the Servlet API ServletContextListener, HttpSessionListener, and HttpSessionAttributeListener interfaces to which the respective events are forwarded.

See Also:
  - Constant Field Values

### LAUNCHER_JAR_REL_PATH

static final String LAUNCHER_JAR_REL_PATH
The name of the file providing the Launcher JAR. On the one hand this is the name used to place the JAR file sling.home to use for startup. On the other hand, this is the name of the file in the archive (see `DEFAULT_SLING_LAUNCHER_JAR`).

See Also:
  - Constant Field Values

### DEFAULT_SLING_LAUNCHER_JAR

static final String DEFAULT_SLING_LAUNCHER_JAR
The absolute path to the launcher JAR file in the archive to copy to the sling.home directory.

See Also:
  - Constant Field Values

### DISABLE_PACKAGE_BUNDLE_LOADING

static final String DISABLE_PACKAGE_BUNDLE_LOADING
True or false value which controls whether sling will load bundles which are contained in the resources/# path locations in the sling jar or war. The default is to unpack the jars and deploy them to the startup folder in sling home

See Also:
  - Constant Field Values

### FORCE_PACKAGE_BUNDLE_LOADING

static final String FORCE_PACKAGE_BUNDLE_LOADING
True or false value which controls whether sling will load bundles which are contained in the resources/# path locations in the sling jar or war regardless of the modification time of the Launchpad JAR.

See Also:
  - Constant Field Values

### SLING_PROPERTIES

static final String SLING_PROPERTIES
The name of the configuration property defining the Sling properties file (value is "sling.properties"). This is a Platform file system file containing the startup configuration of Sling.

Since:
  2.2
See Also:
  - Constant Field Values

### SLING_PROPERTIES_URL

static final String SLING_PROPERTIES_URL
The name of the configuration property defining the Sling properties url (value is "sling.properties.url"). This is a url pointing to a resource containing the startup configuration of Sling.

Since:
  2.2
See Also:
  - Constant Field Values

### SLING_LAUNCHPAD

static final String SLING_LAUNCHPAD
The name of the configuration property defining the location for the Sling launchpad JAR file and the startup folder containing bundles to be installed by the Bootstrap Installer (value is "sling.launchpad").

Since:
  2.4.0
See Also:
  - Constant Field Values

### SLING_INSTALL_INCREMENTAL_START

static final String SLING_INSTALL_INCREMENTAL_START
The name of the configuration property defining if the startup level is increased incrementally for installs and startups. If enabled the framework starts with the start level defined by `SLING_INSTALL_STARTLEVEL` and the startup manager increases the start level one by one until the initial framework start level is reached (value is "sling.framework.install.incremental"). The default value is false, disabling this feature.

Since:
  2.4.0
See Also:
  - Constant Field Values

### SLING_INSTALL_STARTLEVEL

static final String SLING_INSTALL_STARTLEVEL
The name of the configuration property defining the startlevel for installs and updates. The framework starts with this start level and the startup manager increases the start level one by one until the target start level is reached ("sling.framework.install.targetstartlevel"). This level is only used if `SLING_INSTALL_INCREMENTAL_START` is enabled. Default value is 10.

Since:
  2.4.0
See Also:
  - Constant Field Values

### SLING_INSTALL_TARGETSTARTLEVEL

static final String SLING_INSTALL_TARGETSTARTLEVEL
The name of the configuration property defining the target startlevel The framework starts with the startlevel of "sling.framework.install.startlevel" and the stops when it reaches this level Default value is the value of the osgi initial framework start level

See Also:
  - `SLING_INSTALL_STARTLEVEL`
  - Constant Field Values